This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 257381 - Review Request: python-sqlalchemy0.3 - Modular and flexible ORM library for python
Review Request: python-sqlalchemy0.3 - Modular and flexible ORM library for p...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-27 14:38 EDT by Toshio Ernie Kuratomi
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-05 20:01:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Toshio Ernie Kuratomi 2007-08-27 14:38:13 EDT
Spec URL: http://toshio.fedorapeople.org/packages/python-sqlalchemy0.3.spec
SRPM URL: http://toshio.fedorapeople.org/packages/python-sqlalchemy0.3-0.3.10-3.fc7.src.rpm
Description:
SQLAlchemy is an Object Relational Mappper (ORM) that provides a flexible,
high-level interface to SQL databases.  Database and domain concepts are
decoupled, allowing both sides maximum flexibility and power. SQLAlchemy
provides a powerful mapping layer that can work as automatically or as manually
as you choose, determining relationships based on foreign keys or letting you
define the join conditions explicitly, to bridge the gap between database and
domain.

This package contains compatibility modules for the 0.3 version of SQLAlchemy.
If possible, new code should be written against the newest version of the
python-sqlalchemy package.
Comment 1 Felix Schwarz 2007-09-21 08:01:23 EDT
Although I used sqlalchemy from epel testing and not from Fedora I hope this is
the correct place for commenting nevertheless. 

If the sqlalchemy package is used on CentOS with sqlite3 (CentOS 5 comes with
sqlite 3.3.6), a runtime warning is printed at startup:
/usr/lib/python2.4/site-packages/sqlalchemy/databases/sqlite.py:167:
RuntimeWarning: The installed version of sqlite (3.3.6) is out-dated, and will
cause errors in some cases.  Version 3.3.13 or greater is recommended.

I don't know why this warning is printed: All test cases in sqlalchemy do pass
with sqlite 3.3.6. The runtime warning was introduced in order to fix 
http://www.sqlalchemy.org/trac/ticket/302 but ticket 302 does not mention
sqlite3. Therefore I think the runtime warning should be disabled at least for
3.3.6. 

The upstream ticket for my complaint is http://www.sqlalchemy.org/trac/ticket/790
Comment 2 Toshio Ernie Kuratomi 2007-09-21 23:19:10 EDT
This is a review ticket for a new package.  Please open a new bug against
python-sqlalchemy targetting either of Product: Fedora Version: 7 or Product:
Fedora EPEL Version: 5.  I'd be happy to merge whatever fix upstream thinks is
appropriate.  Seeing as 0.3.10 may be the last release of the 0.3 line, I would
be willing to take a patch if upstream verifies that the correct fix is to
disable the warning.
Comment 3 Jason Tibbitts 2007-10-03 14:58:25 EDT
rpmlint spews a bunch of complaints because all of the .py* files are
executable.  Is there some reason they need to be?

There's a test suite in the package and it seems to be runnable:

%check
export PYTHONPATH=./test
python test/alltests.py

Any reason why it isn't called?

* source files match upstream:
   49b75b85e3691e6e6a38d6372d0b7153efa929cf5df31abf1b612574c1b062f6  
   SQLAlchemy-0.3.10.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
X rpmlint has complaints
* final provides and requires are sane:
  python-sqlalchemy0.3-0.3.10-3.fc8.noarch.rpm
   python-sqlalchemy0.3 = 0.3.10-3.fc8
  =
   python(abi) = 2.5
   python-setuptools >= 0.6c3
* %check is not present; no test suite upstream.

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
X file permissions are all executable?
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

Extra Eggs Guideline checks:
* egg is built from source
* egg doesn't download any dependencies during the build
* EGG-INFO directory is included in package
* compat package; easy_install -m is called in %install.
Comment 4 Toshio Ernie Kuratomi 2007-10-03 19:25:52 EDT
Spec URL: http://toshio.fedorapeople.org/packages/python-sqlalchemy0.3.spec
SRPM URL:
http://toshio.fedorapeople.org/packages/python-sqlalchemy0.3-0.3.10-4.fc7.src.rpm

> rpmlint spews a bunch of complaints because all of the .py* files are
> executable.  Is there some reason they need to be?
> 
Nope.  I seem to be running across a setuptools bug. Patch sent to the
setuptools mailing list and workaround added to this package.

> There's a test suite in the package and it seems to be runnable:
> 
> %check
> export PYTHONPATH=./test
> python test/alltests.py
> 
> Any reason why it isn't called?
> 
Now calling the testsuite.  Thanks!
Comment 5 Jason Tibbitts 2007-10-04 00:38:49 EDT
Looks good; no more spew from rpmlint and the tests run fine:
  Ran 700 tests in 32.227s

APPROVED
Comment 6 Toshio Ernie Kuratomi 2007-10-04 17:14:14 EDT
New Package CVS Request
=======================
Package Name: python-sqlalchemy0.3
Short Description: Modular and flexible ORM library for python
Owners: toshio lmacken
Branches: devel
InitialCC: 
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2007-10-04 19:34:44 EDT
cvs done.
Comment 8 Toshio Ernie Kuratomi 2007-10-05 20:01:45 EDT
Imported and built.

Note You need to log in before you can comment on or make changes to this bug.